package cn.feast.coding.generator;

public class BaseGenerator {
    /**
     * 拼接包名
     * @param pack
     * @param part
     * @return
     */
    public String getPackName(String pack, String part) {
        return pack + "." + part;
    }

    /**
     * 返回一个字符串首字母小写
     *
     * @param str
     * @return
     */
    public String uncapFirst(String str) {
        str = str.substring(0, 1).toLowerCase() + str.substring(1);
        return str;
    }

    /**
     * 返回一个字符串首字母大写
     *
     * @param str
     * @return
     */
    public String capFirst(String str) {
        str = str.substring(0, 1).toUpperCase() + str.substring(1);
        return str;
    }
}
